#region Ressources extérieures
using System;
using System.Collections.Generic;
using System.Text;
#endregion

namespace ProjetTheAlone.Classes
{
 /// <summary>
 /// Classe de définition des données
 /// </summary>
 public class C_T_beneficiaire
 {
  #region Données membres
  private int _ID_beneficiaire;
  private string _B_nom;
  private string _B_prenom;
  private DateTime? _B_anniversaire;
  private byte?[] _B_img;
  #endregion
  #region Constructeurs
  public C_T_beneficiaire()
  { }
  public C_T_beneficiaire(string B_nom_, string B_prenom_, DateTime? B_anniversaire_, byte?[] B_img_)
  {
   B_nom = B_nom_;
   B_prenom = B_prenom_;
   B_anniversaire = B_anniversaire_;
   B_img = B_img_;
  }
  public C_T_beneficiaire(int ID_beneficiaire_, string B_nom_, string B_prenom_, DateTime? B_anniversaire_, byte?[] B_img_)
   : this(B_nom_, B_prenom_, B_anniversaire_, B_img_)
  {
   ID_beneficiaire = ID_beneficiaire_;
  }
  #endregion
  #region Accesseurs
  public int ID_beneficiaire
  {
   get { return _ID_beneficiaire; }
   set { _ID_beneficiaire = value; }
  }
  public string B_nom
  {
   get { return _B_nom; }
   set { _B_nom = value; }
  }
  public string B_prenom
  {
   get { return _B_prenom; }
   set { _B_prenom = value; }
  }
  public DateTime? B_anniversaire
  {
   get { return _B_anniversaire; }
   set { _B_anniversaire = value; }
  }
  public byte?[] B_img
  {
   get { return _B_img; }
   set { _B_img = value; }
  }
  #endregion
 }
}
