#region Ressources extérieures
using System;
using System.Collections.Generic;
using System.Text;
#endregion

namespace ProjetTheAlone.Classes
{
 /// <summary>
 /// Classe de définition des données
 /// </summary>
 public class C_T_event
 {
  #region Données membres
  private int _ID_event;
  private DateTime? _E_date;
  private DateTime? _E_duree;
  private int? _ID_typeEvenement;
  private string _E_description;
  private int? _ID_lieu;
  private byte?[] _E_Pic;
  #endregion
  #region Constructeurs
  public C_T_event()
  { }
  public C_T_event(DateTime? E_date_, DateTime? E_duree_, int? ID_typeEvenement_, string E_description_, int? ID_lieu_, byte?[] E_Pic_)
  {
   E_date = E_date_;
   E_duree = E_duree_;
   ID_typeEvenement = ID_typeEvenement_;
   E_description = E_description_;
   ID_lieu = ID_lieu_;
            E_Pic = E_Pic_;
  }
  public C_T_event(int ID_event_, DateTime? E_date_, DateTime? E_duree_, int? ID_typeEvenement_, string E_description_, int? ID_lieu_, byte?[] E_Pic_)
   : this(E_date_, E_duree_, ID_typeEvenement_, E_description_, ID_lieu_, E_Pic_)
  {
   ID_event = ID_event_;
  }
  #endregion
  #region Accesseurs
  public int ID_event
  {
   get { return _ID_event; }
   set { _ID_event = value; }
  }
  public DateTime? E_date
  {
   get { return _E_date; }
   set { _E_date = value; }
  }
  public DateTime? E_duree
  {
   get { return _E_duree; }
   set { _E_duree = value; }
  }
  public int? ID_typeEvenement
  {
   get { return _ID_typeEvenement; }
   set { _ID_typeEvenement = value; }
  }

        public string E_description { get => _E_description; set => _E_description = value; }
        public int? ID_lieu { get => _ID_lieu; set => _ID_lieu = value; }
        public byte?[] E_Pic { get => _E_Pic; set => _E_Pic = value; }


        #endregion
    }
}
