#region Ressources extérieures
using System;
using System.Collections.Generic;
using System.Text;
using ProjetTheAlone.Classes;
using ProjetTheAlone.Acces;
#endregion

namespace ProjetTheAlone.Gestion
{
 /// <summary>
 /// Couche intermédiaire de gestion (Business Layer)
 /// </summary>
 public class G_T_event : G_Base
 {
  #region Constructeurs
  public G_T_event()
   : base()
  { }
  public G_T_event(string sChaineConnexion)
   : base(sChaineConnexion)
  { }
  #endregion
  public int Ajouter(DateTime? E_date, DateTime? E_duree, int? ID_typeEvenement, string E_description, int? ID_lieu, byte?[] E_Pic_)
  { return new A_T_event(ChaineConnexion).Ajouter(E_date, E_duree, ID_typeEvenement,E_description, ID_lieu, E_Pic_); }
  public int Modifier(int ID_event, DateTime? E_date, DateTime? E_duree, int? ID_typeEvenement, string E_description, int? ID_lieu, byte?[] E_Pic_)
  { return new A_T_event(ChaineConnexion).Modifier(ID_event, E_date, E_duree, ID_typeEvenement, E_description, ID_lieu, E_Pic_); }
  public List<C_T_event> Lire(string Index)
  { return new A_T_event(ChaineConnexion).Lire(Index); }
  public C_T_event Lire_ID(int ID_event)
  { return new A_T_event(ChaineConnexion).Lire_ID(ID_event); }
  public int Supprimer(int ID_event)
  { return new A_T_event(ChaineConnexion).Supprimer(ID_event); }
 }
}
