#region Ressources extérieures
using System;
using System.Collections.Generic;
using System.Text;
using ProjetTheAlone.Classes;
using ProjetTheAlone.Acces;
#endregion

namespace ProjetTheAlone.Gestion
{
 /// <summary>
 /// Couche intermédiaire de gestion (Business Layer)
 /// </summary>
 public class G_T_lieu : G_Base
 {
  #region Constructeurs
  public G_T_lieu()
   : base()
  { }
  public G_T_lieu(string sChaineConnexion)
   : base(sChaineConnexion)
  { }
  #endregion
  public int Ajouter(string L_nom)
  { return new A_T_lieu(ChaineConnexion).Ajouter(L_nom); }
  public int Modifier(int ID_lieu,string L_nom)
  { return new A_T_lieu(ChaineConnexion).Modifier(ID_lieu, L_nom); }
  public List<C_T_lieu> Lire(string Index)
  { return new A_T_lieu(ChaineConnexion).Lire(Index); }
  public C_T_lieu Lire_ID(int ID_lieu)
  { return new A_T_lieu(ChaineConnexion).Lire_ID(ID_lieu); }
  public int Supprimer(int ID_lieu)
  { return new A_T_lieu(ChaineConnexion).Supprimer(ID_lieu); }
 }
}
