#region Ressources extérieures
using System;
using System.Collections.Generic;
using System.Text;
using ProjetTheAlone.Classes;
using ProjetTheAlone.Acces;
#endregion

namespace ProjetTheAlone.Gestion
{
 /// <summary>
 /// Couche intermédiaire de gestion (Business Layer)
 /// </summary>
 public class G_T_typeEvenement : G_Base
 {
  #region Constructeurs
  public G_T_typeEvenement()
   : base()
  { }
  public G_T_typeEvenement(string sChaineConnexion)
   : base(sChaineConnexion)
  { }
  #endregion
  public int Ajouter(string TE_nom)
  { return new A_T_typeEvenement(ChaineConnexion).Ajouter(TE_nom); }
  public int Modifier(int ID_typeEvenement, string TE_nom)
  { return new A_T_typeEvenement(ChaineConnexion).Modifier(ID_typeEvenement, TE_nom); }
  public List<C_T_typeEvenement> Lire(string Index)
  { return new A_T_typeEvenement(ChaineConnexion).Lire(Index); }
  public C_T_typeEvenement Lire_ID(int ID_typeEvenement)
  { return new A_T_typeEvenement(ChaineConnexion).Lire_ID(ID_typeEvenement); }
  public int Supprimer(int ID_typeEvenement)
  { return new A_T_typeEvenement(ChaineConnexion).Supprimer(ID_typeEvenement); }
 }
}
