#region Ressources extérieures
using System;
using System.Collections.Generic;
using System.Text;
using ProjetTheAlone.Classes;
using ProjetTheAlone.Acces;
#endregion

namespace ProjetTheAlone.Gestion
{
 /// <summary>
 /// Couche intermédiaire de gestion (Business Layer)
 /// </summary>
 public class G_T_typePlat : G_Base
 {
  #region Constructeurs
  public G_T_typePlat()
   : base()
  { }
  public G_T_typePlat(string sChaineConnexion)
   : base(sChaineConnexion)
  { }
  #endregion
  public int Ajouter(string TP_nom)
  { return new A_T_typePlat(ChaineConnexion).Ajouter(TP_nom); }
  public int Modifier(int ID_typePlat, string TP_nom)
  { return new A_T_typePlat(ChaineConnexion).Modifier(ID_typePlat, TP_nom); }
  public List<C_T_typePlat> Lire(string Index)
  { return new A_T_typePlat(ChaineConnexion).Lire(Index); }
  public C_T_typePlat Lire_ID(int ID_typePlat)
  { return new A_T_typePlat(ChaineConnexion).Lire_ID(ID_typePlat); }
  public int Supprimer(int ID_typePlat)
  { return new A_T_typePlat(ChaineConnexion).Supprimer(ID_typePlat); }
 }
}
