CREATE PROCEDURE AjouterT_typePlat
 @ID_typePlat int,
 @TP_nom varchar(50)
AS
 IF EXISTS(SELECT * FROM T_typePlat WHERE ID_typePlat=@ID_typePlat)
  RAISERROR('Clé primaire existant !',16,1)
 ELSE INSERT INTO T_typePlat(ID_typePlat,TP_nom)
  VALUES(@ID_typePlat,@TP_nom)
RETURN
GO
CREATE PROCEDURE ModifierT_typePlat
 @ID_typePlat int,
 @TP_nom varchar(50)
AS
 IF(@ID_typePlat IS NULL OR @ID_typePlat=0)
  RAISERROR('Identifiant requis !',16,1)
 ELSE  UPDATE T_typePlat
        SET TP_nom=@TP_nom
        WHERE ID_typePlat=@ID_typePlat
RETURN
GO
CREATE PROCEDURE SelectionnerT_typePlat
 @Index VARCHAR(10)
AS
 IF(@Index='TP_nom') SELECT * FROM T_typePlat ORDER BY TP_nom
 ELSE SELECT * FROM T_typePlat ORDER BY ID_typePlat
RETURN
GO
CREATE PROCEDURE SelectionnerT_typePlat_ID
 @ID_typePlat int
AS
 IF(@ID_typePlat IS NULL)
  RAISERROR('Identifiant requis !',16,1)
 ELSE
  SELECT ID_typePlat,TP_nom
  FROM T_typePlat
  WHERE @ID_typePlat=ID_typePlat
RETURN
GO
CREATE PROCEDURE SupprimerT_typePlat
 @ID_typePlat int
AS
 IF(@ID_typePlat IS NULL)
  RAISERROR('Identifiant requis !',16,1)
 ELSE
  DELETE FROM T_typePlat WHERE @ID_typePlat=ID_typePlat
RETURN
GO
