#region Ressources extérieures
using System;
using System.Collections.Generic;
using System.Text;
#endregion

namespace ProjetTheAlone.Classes
{
 /// <summary>
 /// Classe de définition des données
 /// </summary>
 public class C_T_equipe
 {
  #region Données membres
  private int _ID_equipe;
  private string _E_nom;
  private int _E_point;
  private int? _ID_evenement;
  #endregion
  #region Constructeurs
  public C_T_equipe()
  { }
  public C_T_equipe(string E_nom_, int E_point_, int? ID_evenement_)
  {
   E_nom = E_nom_;
   E_point = E_point_;
   ID_evenement = ID_evenement_;
  }
  public C_T_equipe(int ID_equipe_, string E_nom_, int E_point_, int? ID_evenement_)
   : this(E_nom_, E_point_, ID_evenement_)
  {
   ID_equipe = ID_equipe_;
  }
  #endregion
  #region Accesseurs
  public int ID_equipe
  {
   get { return _ID_equipe; }
   set { _ID_equipe = value; }
  }
  public string E_nom
  {
   get { return _E_nom; }
   set { _E_nom = value; }
  }
  public int E_point
  {
   get { return _E_point; }
   set { _E_point = value; }
  }
  public int? ID_evenement
  {
   get { return _ID_evenement; }
   set { _ID_evenement = value; }
  }
  #endregion
 }
}
