#region Ressources extérieures
using System;
using System.Collections.Generic;
using System.Text;
#endregion

namespace ProjetTheAlone.Classes
{
 /// <summary>
 /// Classe de définition des données
 /// </summary>
 public class C_T_plat
 {
        public enum TypePlat_E { Soupe, Plat, Dessert}
        #region Données membres
        private int _ID_plat;
  private string _P_nom;
  private byte?[] _P_img;
  private TypePlat_E _ID_typePlat;
  #endregion
  #region Constructeurs
  public C_T_plat()
  { }
  public C_T_plat(string P_nom_, byte?[] P_img_, int? ID_typePlat_)
  {
   P_nom = P_nom_;
   P_img = P_img_;
   ID_typePlat = (C_T_plat.TypePlat_E)ID_typePlat_;
  }
  public C_T_plat(int ID_plat_, string P_nom_, byte?[] P_img_, int? ID_typePlat_)
   : this(P_nom_, P_img_, ID_typePlat_)
  {
   ID_plat = ID_plat_;
  }
  #endregion
  #region Accesseurs
  public int ID_plat
  {
   get { return _ID_plat; }
   set { _ID_plat = value; }
  }
  public string P_nom
  {
   get { return _P_nom; }
   set { _P_nom = value; }
  }
  public byte?[] P_img
  {
   get { return _P_img; }
   set { _P_img = value; }
  }
  public TypePlat_E ID_typePlat
  {
   get { return _ID_typePlat; }
   set { _ID_typePlat = value; }
  }
        #endregion
    }
}
