#region Ressources extérieures
using System;
using System.Collections.Generic;
using System.Text;
using ProjetTheAlone.Classes;
using ProjetTheAlone.Acces;
#endregion

namespace ProjetTheAlone.Gestion
{
 /// <summary>
 /// Couche intermédiaire de gestion (Business Layer)
 /// </summary>
 public class G_T_equipe : G_Base
 {
  #region Constructeurs
  public G_T_equipe()
   : base()
  { }
  public G_T_equipe(string sChaineConnexion)
   : base(sChaineConnexion)
  { }
  #endregion
  public int Ajouter(string E_nom, int E_point, int? ID_evenement)
  { return new A_T_equipe(ChaineConnexion).Ajouter(E_nom, E_point, ID_evenement); }
  public int Modifier(int ID_equipe, string E_nom, int E_point, int? ID_evenement)
  { return new A_T_equipe(ChaineConnexion).Modifier(ID_equipe, E_nom, E_point, ID_evenement); }
  public List<C_T_equipe> Lire(string Index)
  { return new A_T_equipe(ChaineConnexion).Lire(Index); }
  public C_T_equipe Lire_ID(int ID_equipe)
  { return new A_T_equipe(ChaineConnexion).Lire_ID(ID_equipe); }
  public int Supprimer(int ID_equipe)
  { return new A_T_equipe(ChaineConnexion).Supprimer(ID_equipe); }
 }
}
