#region Ressources extérieures
using System;
using System.Collections.Generic;
using System.Text;
using ProjetTheAlone.Classes;
using ProjetTheAlone.Acces;
#endregion

namespace ProjetTheAlone.Gestion
{
 /// <summary>
 /// Couche intermédiaire de gestion (Business Layer)
 /// </summary>
 public class G_T_listParticipant : G_Base
 {
  #region Constructeurs
  public G_T_listParticipant()
   : base()
  { }
  public G_T_listParticipant(string sChaineConnexion)
   : base(sChaineConnexion)
  { }
  #endregion
  public int Ajouter(int? ID_equipe, int? ID_benificiaire)
  { return new A_T_listParticipant(ChaineConnexion).Ajouter(ID_equipe, ID_benificiaire); }
  public int Modifier(int ID_LP, int? ID_equipe, int? ID_benificiaire)
  { return new A_T_listParticipant(ChaineConnexion).Modifier(ID_LP, ID_equipe, ID_benificiaire); }
  public List<C_T_listParticipant> Lire(string Index)
  { return new A_T_listParticipant(ChaineConnexion).Lire(Index); }
  public C_T_listParticipant Lire_ID(int ID_LP)
  { return new A_T_listParticipant(ChaineConnexion).Lire_ID(ID_LP); }
  public int Supprimer(int ID_LP)
  { return new A_T_listParticipant(ChaineConnexion).Supprimer(ID_LP); }
 }
}
