#region Ressources extérieures
using System;
using System.Collections.Generic;
using System.Text;
using ProjetTheAlone.Classes;
using ProjetTheAlone.Acces;
#endregion

namespace ProjetTheAlone.Gestion
{
 /// <summary>
 /// Couche intermédiaire de gestion (Business Layer)
 /// </summary>
 public class G_T_plat : G_Base
 {
  #region Constructeurs
  public G_T_plat()
   : base()
  { }
  public G_T_plat(string sChaineConnexion)
   : base(sChaineConnexion)
  { }
  #endregion
  public int Ajouter(string P_nom, byte?[] P_img, int? ID_typePlat)
  { return new A_T_plat(ChaineConnexion).Ajouter(P_nom, P_img, ID_typePlat); }
  public int Modifier(int ID_plat, string P_nom, byte?[] P_img, int? ID_typePlat)
  { return new A_T_plat(ChaineConnexion).Modifier(ID_plat, P_nom, P_img, ID_typePlat); }
  public List<C_T_plat> Lire(string Index)
  { return new A_T_plat(ChaineConnexion).Lire(Index); }
  public C_T_plat Lire_ID(int ID_plat)
  { return new A_T_plat(ChaineConnexion).Lire_ID(ID_plat); }
        /// <summary>
        /// Permet de récupérer la liste des plats d'un repas
        /// </summary>
        public List<C_T_plat> ListPlat(int ID_repa)
        { return new A_T_plat(ChaineConnexion).ListPlat(ID_repa); }
        public int Supprimer(int ID_plat)
  { return new A_T_plat(ChaineConnexion).Supprimer(ID_plat); }
 }
}
