#region Ressources extérieures
using System;
using System.Collections.Generic;
using System.Text;
using ProjetTheAlone.Classes;
using ProjetTheAlone.Acces;
#endregion

namespace ProjetTheAlone.Gestion
{
 /// <summary>
 /// Couche intermédiaire de gestion (Business Layer)
 /// </summary>
 public class G_T_typeRepa : G_Base
 {
  #region Constructeurs
  public G_T_typeRepa()
   : base()
  { }
  public G_T_typeRepa(string sChaineConnexion)
   : base(sChaineConnexion)
  { }
  #endregion
  public int Ajouter(string TR_nom)
  { return new A_T_typeRepa(ChaineConnexion).Ajouter(TR_nom); }
  public int Modifier(int ID_typeRepa, string TR_nom)
  { return new A_T_typeRepa(ChaineConnexion).Modifier(ID_typeRepa, TR_nom); }
  public List<C_T_typeRepa> Lire(string Index)
  { return new A_T_typeRepa(ChaineConnexion).Lire(Index); }
  public C_T_typeRepa Lire_ID(int ID_typeRepa)
  { return new A_T_typeRepa(ChaineConnexion).Lire_ID(ID_typeRepa); }
  public int Supprimer(int ID_typeRepa)
  { return new A_T_typeRepa(ChaineConnexion).Supprimer(ID_typeRepa); }
 }
}
