CREATE PROCEDURE AjouterT_typeEvenement
 @ID_typeEvenement int OUTPUT,
 @TE_nom text
AS
 INSERT INTO T_typeEvenement(TE_nom)
  VALUES(@TE_nom)
 SET @ID_typeEvenement=@@IDENTITY
RETURN
GO
CREATE PROCEDURE ModifierT_typeEvenement
 @ID_typeEvenement int,
 @TE_nom text
AS
 IF(@ID_typeEvenement IS NULL OR @ID_typeEvenement=0)
  RAISERROR('Identifiant requis !',16,1)
 ELSE  UPDATE T_typeEvenement
        SET TE_nom=@TE_nom
        WHERE ID_typeEvenement=@ID_typeEvenement
RETURN
GO
CREATE PROCEDURE SelectionnerT_typeEvenement
 @Index VARCHAR(10)
AS
 IF(@Index='TE_nom') SELECT * FROM T_typeEvenement ORDER BY TE_nom
 ELSE SELECT * FROM T_typeEvenement ORDER BY ID_typeEvenement
RETURN
GO
CREATE PROCEDURE SelectionnerT_typeEvenement_ID
 @ID_typeEvenement int
AS
 IF(@ID_typeEvenement IS NULL)
  RAISERROR('Identifiant requis !',16,1)
 ELSE
  SELECT ID_typeEvenement,TE_nom
  FROM T_typeEvenement
  WHERE @ID_typeEvenement=ID_typeEvenement
RETURN
GO
CREATE PROCEDURE SupprimerT_typeEvenement
 @ID_typeEvenement int
AS
 IF(@ID_typeEvenement IS NULL)
  RAISERROR('Identifiant requis !',16,1)
 ELSE
  DELETE FROM T_typeEvenement WHERE @ID_typeEvenement=ID_typeEvenement
RETURN
GO
