CREATE PROCEDURE AjouterT_typeRepa
 @ID_typeRepa int OUTPUT,
 @TR_nom varchar(50)
AS
 INSERT INTO T_typeRepa(TR_nom)
  VALUES(@TR_nom)
 SET @ID_typeRepa=@@IDENTITY
RETURN
GO
CREATE PROCEDURE ModifierT_typeRepa
 @ID_typeRepa int,
 @TR_nom varchar(50)
AS
 IF(@ID_typeRepa IS NULL OR @ID_typeRepa=0)
  RAISERROR('Identifiant requis !',16,1)
 ELSE  UPDATE T_typeRepa
        SET TR_nom=@TR_nom
        WHERE ID_typeRepa=@ID_typeRepa
RETURN
GO
CREATE PROCEDURE SelectionnerT_typeRepa
 @Index VARCHAR(10)
AS
 IF(@Index='TR_nom') SELECT * FROM T_typeRepa ORDER BY TR_nom
 ELSE SELECT * FROM T_typeRepa ORDER BY ID_typeRepa
RETURN
GO
CREATE PROCEDURE SelectionnerT_typeRepa_ID
 @ID_typeRepa int
AS
 IF(@ID_typeRepa IS NULL)
  RAISERROR('Identifiant requis !',16,1)
 ELSE
  SELECT ID_typeRepa,TR_nom
  FROM T_typeRepa
  WHERE @ID_typeRepa=ID_typeRepa
RETURN
GO
CREATE PROCEDURE SupprimerT_typeRepa
 @ID_typeRepa int
AS
 IF(@ID_typeRepa IS NULL)
  RAISERROR('Identifiant requis !',16,1)
 ELSE
  DELETE FROM T_typeRepa WHERE @ID_typeRepa=ID_typeRepa
RETURN
GO
