#region Ressources extérieures
using System;
using System.Collections.Generic;
using System.Text;
using ProjetTheAlone.Classes;
using ProjetTheAlone.Acces;
#endregion

namespace ProjetTheAlone.Gestion
{
 /// <summary>
 /// Couche intermédiaire de gestion (Business Layer)
 /// </summary>
 public class G_T_beneficiaire : G_Base
 {
  #region Constructeurs
  public G_T_beneficiaire()
   : base()
  { }
  public G_T_beneficiaire(string sChaineConnexion)
   : base(sChaineConnexion)
  { }
  #endregion
  public int Ajouter(string B_nom, string B_prenom, DateTime? B_anniversaire, byte?[] B_img)
  { return new A_T_beneficiaire(ChaineConnexion).Ajouter(B_nom, B_prenom, B_anniversaire, B_img); }
  public int Modifier(int ID_beneficiaire, string B_nom, string B_prenom, DateTime? B_anniversaire, byte?[] B_img)
  { return new A_T_beneficiaire(ChaineConnexion).Modifier(ID_beneficiaire, B_nom, B_prenom, B_anniversaire, B_img); }
  public List<C_T_beneficiaire> Lire(string Index)
  { return new A_T_beneficiaire(ChaineConnexion).Lire(Index); }
  public C_T_beneficiaire Lire_ID(int ID_beneficiaire)
  { return new A_T_beneficiaire(ChaineConnexion).Lire_ID(ID_beneficiaire); }
  public int Supprimer(int ID_beneficiaire)
  { return new A_T_beneficiaire(ChaineConnexion).Supprimer(ID_beneficiaire); }
        public List<C_T_beneficiaire> AnnifDuJour()
        {
            return new A_T_beneficiaire(ChaineConnexion).AnnifDuJour();
        }
 }
}
