#region Ressources extérieures
using System;
using System.Collections.Generic;
using System.Text;
using ProjetTheAlone.Classes;
using ProjetTheAlone.Acces;
#endregion

namespace ProjetTheAlone.Gestion
{
 /// <summary>
 /// Couche intermédiaire de gestion (Business Layer)
 /// </summary>
 public class G_T_listPlat : G_Base
 {
  #region Constructeurs
  public G_T_listPlat()
   : base()
  { }
  public G_T_listPlat(string sChaineConnexion)
   : base(sChaineConnexion)
  { }
  #endregion
  public int Ajouter(DateTime LP_DatePlat, int ID_plat)
  { return new A_T_listPlat(ChaineConnexion).Ajouter(LP_DatePlat, ID_plat); }
  public int Modifier(int ID_listPlat, DateTime LP_DatePlat, int ID_plat)
  { return new A_T_listPlat(ChaineConnexion).Modifier(ID_listPlat, LP_DatePlat, ID_plat); }
  public List<C_T_listPlat> Lire(string Index)
  { return new A_T_listPlat(ChaineConnexion).Lire(Index); } //C_T_listPlat Lire(DateTime LP_DateRepas)
        public List<C_T_plat> Lire(DateTime dateV)
        { return new A_T_listPlat(ChaineConnexion).Lire(dateV); } //C_T_listPlat Lire(DateTime LP_DateRepas)

        public C_T_listPlat Lire_ID(int ID_listPlat)
  { return new A_T_listPlat(ChaineConnexion).Lire_ID(ID_listPlat); }
  public int Supprimer(int ID_Plat, DateTime dateV)
  { return new A_T_listPlat(ChaineConnexion).Supprimer(ID_Plat, dateV); }
 }
}
