﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ProjetTheAlone.Model;

namespace ProjetTheAlone.UserControlDIY
{
    /// <summary>
    /// Interaction logic for EventPasse.xaml
    /// </summary>
    public partial class EventPasse : UserControl
    {
        public static readonly DependencyProperty ClassementProperty = DependencyProperty.Register("Classement", typeof(ObservableCollection<string>), typeof(EventPasse));

        public ObservableCollection<string> Classement
        {
            get
            {
                var val = GetValue(ClassementProperty) as ObservableCollection<string>;
                return val;
            }
            set
            {
                SetValue(ClassementProperty, value);
            }
        }
        public EventPasse()
        {
            InitializeComponent();
            GridPrinc.DataContext = this;
        }
    }
    public class DebugDummyConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            Debugger.Break();
            return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            Debugger.Break();
            return value;
        }
    }
}
