﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using ProjetTheAlone.Classes;
using ProjetTheAlone.Gestion;
using ProjetTheAlone.Config;

namespace ProjetTheAlone.View
{
    /// <summary>
    /// Logique d'interaction pour FicDetailEvent.xaml
    /// </summary>
    public partial class FicDetailEvent : Window
    {
        private string chConn = Settings2.Default.schCon;

        C_T_event EventSelect;

        public FicDetailEvent(C_T_event _EventSelect)
        {
            
            EventSelect = _EventSelect;
            InitializeComponent();
            DataContext =new ViewModel.VM_DetailEvent(EventSelect);
            
        }

        private void btnQuitter_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }

        private void btnClassement_Click(object sender, RoutedEventArgs e)
        {
            FicClassement w = new FicClassement(EventSelect);
            w.ShowDialog();
        }
        public void setDataContext(C_T_event _EventSelect)
        {
            EventSelect = _EventSelect;
            DataContext = new ViewModel.VM_DetailEvent(EventSelect);
        }
        public bool IsClosed { get; private set; }

        protected override void OnClosed(EventArgs e)
        {
            base.OnClosed(e);
            IsClosed = true;
        }

    }
}
