﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using ProjetTheAlone.Classes;

namespace ProjetTheAlone.View
{
    /// <summary>
    /// Logique d'interaction pour FicEvenementEncode.xaml
    /// </summary>
    public partial class FicEvenementEncode : Window
    {
        public int EventSelect;

        public FicEvenementEncode()
        {
            InitializeComponent();
            DataContext = new ViewModel.VM_Event();

        }

        private void btnQuitter_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }

        private void btnNewTypeEvent_Click(object sender, RoutedEventArgs e)
        {
            FicNewtypeEvent w = new FicNewtypeEvent();
            w.ShowDialog();


        }

        private void btnNewLieu_Click(object sender, RoutedEventArgs e)
        {
            FicNewLieu w = new FicNewLieu();
            w.ShowDialog();
        }

        private void btnAjoutEquipe_Click(object sender, RoutedEventArgs e)
        {
            FicNewEquipe w = new FicNewEquipe();
            w.ShowDialog();
        }

       

        private void btnDetail_Click(object sender, RoutedEventArgs e)
        {
            if (dgEvenementEnCours.SelectedItem != null)
            {
                FicDetailEvent w = new FicDetailEvent((C_T_event)dgEvenementEnCours.SelectedItem);
                w.ShowDialog();
                EventSelect = dgEvenementEnCours.SelectedIndex;
            }
        }

        
    }
}
