﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjetTheAlone.Model
{
    public class EventPasseModel : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;
        ObservableCollection<string> classement;

        public ObservableCollection<string> Classement { get => classement; set { classement = value; OnPropertyChanged("Classement"); } }

        public EventPasseModel(ObservableCollection<string>  classement)
        {
            Classement = classement;
        }

        protected void OnPropertyChanged(string name)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(name));
            }
        }
    }
}
